from . import boardtype

import os
import pytest


@pytest.mark.skipif(not boardtype.is_librem5(), reason="Not a phone")
def test_status_led_exists():
    assert(os.path.exists('/sys/class/leds/red:status/brightness'))
    assert(os.path.exists('/sys/class/leds/green:status/brightness'))
    assert(os.path.exists('/sys/class/leds/blue:status/brightness'))
